perl 5.8.7 no perl or pod2man

Ag Hatzimanikas a.hatzim at gmail.com
Thu May 18 13:04:03 PDT 2006


Ken Moffat(ken at linuxfromscratch.org)@Thu, May 18, 2006 at 08:47:50PM +0100:
> 
>  On the face of it, you had errors in parts (4) and perhaps (3)
> above.  If you didn't catch them, blow away the directory and
> repeat, but this time try
> 
> ./configure.gnu --prefix=/tools -Dstatic_ext='IO Fcntl POSIX' \
>  >perllog 2>&1; echo "status $?"
> 
>  If the status is other than 0, configure has failed and you can
> consult the log to find out why.  If it is ok so far, build it with
> 
> make perl utilities >>perllog 2>&1 ; echo "status $?"
> 
>  Either that will fail, or you should be able to install.
> 

Plus,don't forget to apply the following patch that is mentioned in errata for perl.

http://www.linuxfromscratch.org/patches/downloads/perl/perl-5.8.7-sprintf_vulnerability-1.patch



More information about the lfs-support mailing list